/*
 * rpcmisc	Support for RPC startup and shutdown.
 *
 */

#ifndef RPCMISC_H
#define RPCMISC_H

extern int		_rpcpmstart;
extern int		_rpcfdtype;
extern int		_rpcsvcdirty;
extern int		udp_only;
extern int		loopback_only;
extern const char *	auth_daemon;

extern void		rpc_init(const char *name, int prog, int *verstbl,
					void (*dispatch)(),
					int defport, int bufsize);
extern void		rpc_exit(int prog, int *verstbl);
extern void		rpc_closedown(void);

/*
 * Some older systems don't have svc_getcaller.
 * Some, like glibc 2.2, have it but it returns some type that's
 * not a sockaddr_in anymore.
 */
#undef svc_getcaller
#define svc_getcaller(xprt)	((struct sockaddr_in *) (&(xprt)->xp_raddr))

#endif /* RPCMISC_H */
